from api_initializer.event_clusters import EventCluster, RouterCluster
from index import endpoints_index
from .supers_events import (
    SuperAccountRecordsListEvent,
    SuperAccountRecordsCreateEvent,
    SuperAccountRecordsUpdateEvent,
    SuperAccountRecordsDeleteEvent,
)

AccountRecordsRouterCluster = RouterCluster(name="AccountRecordsRouterCluster")

AccountRecordsListEventCluster = EventCluster(name="AccountRecordsListEventCluster", endpoint_uu_id=endpoints_index["AccountRecordsList"])
AccountRecordsListEventCluster.add_event(SuperAccountRecordsListEvent)

AccountRecordsCreateEventCluster = EventCluster(name="AccountRecordsCreateEventCluster", endpoint_uu_id=endpoints_index["AccountRecordsCreate"])
AccountRecordsCreateEventCluster.add_event(SuperAccountRecordsCreateEvent)

AccountRecordsUpdateEventCluster = EventCluster(name="AccountRecordsUpdateEventCluster", endpoint_uu_id=endpoints_index["AccountRecordsUpdate"])
AccountRecordsUpdateEventCluster.add_event(SuperAccountRecordsUpdateEvent)

AccountRecordsDeleteEventCluster = EventCluster(name="AccountRecordsDeleteEventCluster", endpoint_uu_id=endpoints_index["AccountRecordsDelete"])
AccountRecordsDeleteEventCluster.add_event(SuperAccountRecordsDeleteEvent)

AccountRecordsRouterCluster.set_event_cluster(AccountRecordsListEventCluster)
AccountRecordsRouterCluster.set_event_cluster(AccountRecordsCreateEventCluster)
AccountRecordsRouterCluster.set_event_cluster(AccountRecordsUpdateEventCluster)
AccountRecordsRouterCluster.set_event_cluster(AccountRecordsDeleteEventCluster)
